services:
  php74-httpd:
    # image: composer
    build: php74-httpd
    ports:
      - 8000:8000
    volumes:
      - ./php74-httpd:/app
      - ./php74-httpd/php-cli.ini:/usr/local/etc/php/php-cli.ini
    working_dir: /app
    user: 1000:1000
    command: sleep infinity

  mysql:
    image: mysql:latest
    # ports:
    #   - 3306:3306
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_DATABASE: laravel
      MYSQL_USER: project
      MYSQL_PASSWORD: project

  phpmyadmin:
    image: phpmyadmin/phpmyadmin
    ports:
      - 8089:80
    environment:
      PMA_HOST: mysql
      PMA_USER: project
      PMA_PASSWORD: project
      UPLOAD_LIMIT: 10G
      MAX_EXECUTION_TIME: 1800
